<route lang="yaml">
meta:
  requiresAuth: true
</route>

<script setup lang="ts">
import { Person } from '/@src/utils/types'

const pageTitle = useVueroContext<string>('page-title')
const approval = ref(null)
onMounted(() => {
  pageTitle.value = '신청내역'
})

useHead({
  title: '소액계약관리 - 신청내역',
})

const apprLine = ref<any>({})

const onClick = () => {
  console.log(apprLine)
}

const onCreateTab = (kind: string) => {
  approval.value?.appendTab(kind)
}
</script>

<template>
  <div
    class="page-content is-relative tabs-wrapper is-slider is-squared is-inverted is-navbar-lg"
  >
    <VApproval ref="approval" v-model="apprLine"/>

    <VButton @click.prevent="onCreateTab('collabo')" color="primary">협조</VButton>
    <VButton @click.prevent="onCreateTab('control')" color="dark">통제</VButton>
    <VButton @click.prevent="onClick">클릭</VButton>
  </div>
</template>
